#include "widget.h"

#include <QApplication>
#include <QSystemTrayIcon>
#include <QIcon>
#include <QMenu>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    Widget w;

    QSystemTrayIcon sysTray(QIcon(":/Icon/img/Icon.jpg"),&w);

    QMenu menu;
    auto TopAct = new QAction("TOP",&sysTray);
    auto UTopAct = new QAction("UTOP",&sysTray);
    QObject::connect(TopAct,&QAction::triggered,[&](){
        w.setWindowFlag(Qt::WindowStaysOnTopHint, true);
        w.show();
    });
    QObject::connect(UTopAct,&QAction::triggered,[&](){
        w.setWindowFlag(Qt::WindowStaysOnTopHint, false);
        w.show();
    });
    menu.addAction(TopAct);
    menu.addAction(UTopAct);
    sysTray.setContextMenu(&menu);
    sysTray.show();

    w.show();
    return a.exec();
}
